<?php 
include("header.php"); 
include("../connection.php");
include ("left-sidebar.php") ; 
require_once('delete_confirm.php');
?>

<?php
	if(isset($_POST['form_edit_stock']))
	{		
	  	$id = $_POST['cid'];
	  	try {		
			if(empty($_POST['item_code'])) {				
				throw new Exception("Item Code can not be empty.");
			}				
			$statement = $db->prepare("UPDATE gst_stock SET item_code=?, item_name=?, item_type=?, hsn_code=?, sku_code=?, selling_price=?, purchase_price=?, unit_m=?, group_code=?, company=?, brand=?, qty=?, remarks=? WHERE id = ? ");
			$statement->execute(array($_POST['item_code'],$_POST['item_name'],$_POST['item_type'],$_POST['hsn_code'],$_POST['sku_code'],$_POST['selling_price'],$_POST['purchase_price'],$_POST['unit_m'],$_POST['group_code'],$_POST['company'],$_POST['brand'],$_POST['qty'],$_POST['remarks'],$id));			
			$success_message = "Stock has been updated successfully.";				
	  	}	  
	  catch(Exception $e) { 
		$error_message = $e->getMessage();
	  }
	} 
?>

<?php
	if(isset($_REQUEST['del_id'])) 
	{
	  	$id = $_REQUEST['del_id'];	  
	  	$statement = $db->prepare("DELETE FROM gst_stock WHERE id=?");
	  	$statement->execute(array($id));	  
	  	$success_message = "Stock has been deleted successfully.";	  
	}
?>
<script>

	$( function() {
	var availableTags = [
		<?php						
		$statement	= $db->prepare("SELECT * FROM gst_hsn_code");
		$statement->execute();
		$result=$statement->fetchAll(PDO::FETCH_ASSOC);
		foreach($result as $row){					
		?>
	  	"<?php echo $row['hsn_code'] ?>",
	 	<?php } ?>						 
	];
	$( "#hsn_code" ).autocomplete({
	  	source: availableTags
	});
	});


	$( function() {
	var availableTags = [
		<?php						
		$statement	= $db->prepare("SELECT * FROM gst_group");
		$statement->execute();
		$result=$statement->fetchAll(PDO::FETCH_ASSOC);
		foreach($result as $row){					
		?>
	  	"<?php echo $row['group_code'] ?>",
	 	<?php } ?>						 
	];
	$( "#tags" ).autocomplete({
	  source: availableTags
	});
	});
</script>
<div class="content-wrapper">
  <section class="content">
	   <div class="row">
        	<div class="col-xs-12">
              <div class="box">
                <div class="box-header">
                  <h3 class="box-title">View Stock Master</h3>
                </div><!-- /.box-header -->
                
                 <?php
              if(isset($error_message))
              { ?>
                <div class="alert alert-danger">
                    <p class=""><?php echo $error_message ; ?></p>
                </div>
            <?php 
               } 
             else if(isset($success_message))
              { ?>
                <div class="alert alert-success">
                    <p class=""><?php echo $success_message ; ?></p>
                </div>
            <?php } ?>
                
                
                
                <div class="box-body">
                 <div class="table-responsive">  
                  <table id="example2" class="table table-bordered table-hover">
                    <thead>
                      <tr>
                        <th>#</th>
                        <th>Item Code</th>
                        <th>Item Name</th>
                        <th>HSN Code</th>
                        <th>Price</th>
                        <th colspan="2" width="15%">Action</th>
                      </tr>
                    </thead>

                    <tbody>

          <?php
        $i=0;
        $statement = $db->prepare("SELECT * FROM gst_stock ORDER BY id ASC");
        $statement->execute();
        $result = $statement->fetchAll(PDO::FETCH_ASSOC);
        foreach($result as $row)
        {
          $i++;
          ?>

            <tr>
              <td><?php echo $i ; ?></td>
                  <td><?php echo $row['item_code']; ?></td>
                  <td><?php echo $row['item_name']; ?></td>
                  <td><?php echo $row['selling_price']; ?></td>
                  <td><?php echo $row['hsn_code']; ?></td>

                  <td><button class="btn btn-xs btn-primary" data-toggle="modal" data-target="#editModal<?php echo $i ; ?>">Edit</button></td>
                  <!--product edit modal -->
                  <div class="modal fade" id="editModal<?php echo $i; ?>" tabindex="-1" role="dialog" aria-labelledby="Login" aria-hidden="true">
                      <div class="modal-dialog">
                          <div class="modal-content">
                              <div class="modal-header">
                                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                      <span aria-hidden="true">&times;</span>
                                  </button>
                                  <h5 class="modal-title">Update Infromation</h5>
                              </div>

                              <div class="modal-body">
                                  <!-- The form is placed inside the body of modal -->      
                            <div class="box-header with-border">
                              <h3 class="box-title">Edit Stock</h3>
                              </div>
                              
                              
                            <form class="form-horizontal" action="" method="post" enctype="multipart/form-data">
                            	<input type="hidden" name="cid" value="<?php echo $row['id']; ?>" />
                              	<div class="box-body">
                                    <div class="form-group">
                                      	<label for="inputEmail3" class="col-sm-4 control-label">Item Code</label>
                                      	<div class="col-sm-6">
                                       	 	<input type="text" class="form-control" id="inputEmail3" value="<?php echo $row['item_code']; ?>" name="item_code" autocomplete="off">
                                      	</div>
                                    </div>
                                    <br />

                                <div class="form-group">
                                  <label for="inputEmail3" class="col-sm-4 control-label">Item Name</label>
                                  <div class="col-sm-6">
                                    <input type="text" class="form-control" id="inputEmail3" value="<?php echo $row['item_name']; ?>" name="item_name" autocomplete="off">
                                  </div>
                                </div>
                                 <br />
                                
                                 <div class="form-group">
                                    <label for="inputEmail3" class="col-sm-4 control-label">Item Type</label>
                                    <div class="col-sm-6">
                                      <select name="item_type" class="form-control">
                                        <option value="">-Select-</option>
                                        <option value="goods" <?php if($row['item_type']=="goods"){ ?> selected="selected" <?php } ?>>Goods</option>
                                     </select>
                                    </div>      
                                 </div>   
                                 <br />
     
                                 <div class="form-group">  
                                    <label for="inputEmail3" class="col-sm-4 control-label">HSN Code </label>
                                    <div class="col-sm-6">
                                      	<input type="text" class="form-control" id="hsn_code" placeholder="" name="hsn_code" value="<?php echo $row['hsn_code']; ?>" autocomplete="off">
                                    </div>               
                                </div>
                                  <br />

                                  <div class="form-group">
                                    <label for="inputEmail3" class="col-sm-4 control-label">SKU Code</label>
                                    <div class="col-sm-6">
                                      <input type="text" class="form-control" id="inputEmail3" placeholder="" name="sku_code" value="<?php echo $row['sku_code']; ?>" autocomplete="off">
                                    </div>        
                                  </div>        <br />

                                 <div class="form-group">          
                                    <label for="inputEmail3" class="col-sm-4 control-label">Selling price </label>
                                    <div class="col-sm-6">
                                      	<input type="text" class="form-control" id="inputEmail3" placeholder="" name="selling_price" value="<?php echo $row['selling_price']; ?>" autocomplete="off">
                                    </div>               
                               	</div>
                                  <br />
                                  <div class="form-group">
                                    <label for="inputEmail3" class="col-sm-4 control-label">Purchase Price</label>
                                    <div class="col-sm-6">
                                      	<input type="text" class="form-control" id="inputEmail3" placeholder="" name="purchase_price" value="<?php echo $row['purchase_price'] ?>" autocomplete="off">
                                    </div>          
                                   </div>        
                                   <br />
                                 <div class="form-group">        
                                    <label for="inputEmail3" class="col-sm-4 control-label">Unit of Measurement</label>
                                    <div class="col-sm-6">
                                        <select name="unit_m" class="form-control">
                                            <option value="">-Select-</option>
                                            <option value="Number" <?php if($row['unit_m']=="Number"){ ?> selected="selected" <?php } ?>>Number</option>
                                            <option value="Kgm" <?php if($row['unit_m']=="Kgm"){ ?> selected="selected" <?php } ?> >Kgm</option>
                                         </select>
                                    </div>               
                                  </div>
                               		<br />
                                  
                                   <div class="form-group">
                                        <label for="inputEmail3" class="col-sm-4 control-label">Group Code</label>
                                        <div class="col-sm-6">
                                          <input type="text" class="form-control" id="tags" value="<?php echo $row['group_code'] ?>" name="group_code" autocomplete="off">
                                        </div>  
                                      
                                       </div>    <br />
    
                                 <div class="form-group">    
                                                    
                                        <label for="inputEmail3" class="col-sm-4 control-label">Company</label>
                                        <div class="col-sm-6">
                                          <input type="text" class="form-control" id="inputEmail3" placeholder="" value="<?php echo $row['company']; ?>" name="company" autocomplete="off">
                                        </div>               
                                   </div>
                                   <br />
                                   <div class="form-group">
                                        <label for="inputEmail3" class="col-sm-4 control-label">Brand</label>
                                        <div class="col-sm-6">
                                          <input type="text" class="form-control" id="inputEmail3" placeholder="" value="<?php echo $row['brand'] ?>" name="brand" autocomplete="off">
                                        </div>      
                                     </div>       
                                     <br /> 
                                 <div class="form-group">            
                                        <label for="inputEmail3" class="col-sm-4 control-label">Qty</label>
                                        <div class="col-sm-6">
                                          <input type="text" class="form-control" id="inputEmail3"  value="<?php echo $row['qty'] ?>" name="qty" autocomplete="off">
                                        </div>               
                                   </div>
                                  <br />
                                  <div class="form-group">
                                                    
                                        <label for="inputEmail3" class="col-sm-4 control-label">Item Remarks</label>
                                        <div class="col-sm-6">
                                          <textarea name="remarks" class="form-control"><?php echo $row['remarks'] ?></textarea>
                                        </div>               
                                   </div>                               
                                

                              </div><!-- /.box-body -->
                              <div class="box-footer">
                                <button type="submit" class="btn btn-info pull-right" name="form_edit_stock">UPDATE</button>
                              </div><!-- /.box-footer -->
                            </form>

                              </div>
                          </div>
                      </div>
                  </div>
                  <!--Product edit modal end -->
                  <td>
                      <form method="POST" action="" accept-charset="UTF-8" style="display:inline">
                      	<input type="hidden" name="del_id" value="<?php echo $row['id']; ?>" />
                      	<button class="btn btn-xs btn-danger" type="button" data-toggle="modal" data-target="#confirmDelete" data-title="Delete HSN Code" data-message="Are you sure you want to delete ?">  Delete</button>
                      </form>
                  </td>     
              </tr>              
          <?php
            }
          ?>                      
          </tbody>       
      </table>
    </div><!-- /.box-body -->
    </div>
  </div><!-- /.box -->
</div>
</div>



  </section><!-- /.content -->
</div><!-- /.content-wrapper -->

<?php include ("footer.php"); ?>