<?php 

include("../include/header.php"); 
include("../include/connection.php");
include ("left-sidebar.php") ; 
require_once('delete_confirm.php');

if(isset($_POST['form1']))
{
  	try {    
    	if(empty($_POST['hsn_code'])) {
      		throw new Exception("HSN Code can not be empty.");
   		} 
		$date	=	date("Y-m-d", strtotime($_POST['date']));
		$statement = $db->prepare("INSERT INTO gst_hsn_code (hsn_code, hsn_name, igst, date) VALUES (?,?,?,?)");
		$statement->execute(array($_POST['hsn_code'],$_POST['hsn_name'],$_POST['igst'],$date));    
		$success_message = "HSN Code has been inserted successfully."; 

  	}  
  	catch(Exception $e) { 
    	$error_message = $e->getMessage();
  	}
}
?>

<?php
	if(isset($_POST['form_edit_hsn']))
	{
	  	$id = $_POST['cid'];
	  	try {		
			if(empty($_POST['igst'])) {
				throw new Exception("HSN Code can not be empty.");
			}				
			$date	=	date("Y-m-d", strtotime($_POST['date']));
			$statement = $db->prepare("UPDATE gst_hsn_code SET hsn_code=?, hsn_name=?, igst=?, date=? WHERE id = ? ");
			$statement->execute(array($_POST['hsn_code'],$_POST['hsn_name'],$_POST['igst'],$date,$id));			
			$success_message = "HSN Code has been updated successfully.";		  
	  	}	  

	  	catch(Exception $e) { 
			$error_message = $e->getMessage();
	  	}
	} 
?>

<?php
	if(isset($_REQUEST['del_id'])) 
	{
	  	$id = $_REQUEST['del_id'];	  
	  	$statement = $db->prepare("DELETE FROM gst_hsn_code WHERE id=?");
	  	$statement->execute(array($id));	  
	  	$success_message = "HSN Code has been deleted successfully.";	  
	}
?>

<div class="content-wrapper">
  	<section class="content">
    <!-- SELECT2 EXAMPLE -->
    	<div class="box box-default">
      		<div class="box box-info">
          		<div class="box-header with-border">
            		<h3 class="box-title">Add HSN Code</h3>
          		</div><!-- /.box-header -->
            	<?php
              		if(isset($error_message))
              		{ 
				?>
                <div class="alert alert-danger">
                    <p class=""><?php echo $error_message ; ?></p>
                </div>
            	<?php 
               		} 
             		else if(isset($success_message))
              		{ 
				?>
                <div class="alert alert-success">
                    <p class=""><?php echo $success_message ; ?></p>
                </div>
            <?php } ?>
          	<!-- form start -->

			<form class="form-horizontal" action="" method="post" enctype="multipart/form-data">
            	<div class="box-body">
					<div class="form-group">
						<label for="inputEmail3" class="col-sm-1 control-label">HSN Code</label>
						<div class="col-sm-2">
							<input type="text" class="form-control" id="inputEmail3" placeholder="" name="hsn_code" autocomplete="off">
						</div>                
	
						<label for="inputEmail3" class="col-sm-1 control-label">HSN Name </label>
						<div class="col-sm-2">
							<input type="text" class="form-control" id="inputEmail3" placeholder="" name="hsn_name" autocomplete="off">
						</div>
	
						<label for="inputEmail3" class="col-sm-1 control-label">IGST</label>
						<div class="col-sm-2">
							<input type="text" class="form-control" id="inputEmail3" placeholder="" name="igst" autocomplete="off">
						</div>
						
						<label for="inputEmail3" class="col-sm-1 control-label">Date</label>
							<div class="col-sm-2">
								<input type="text" class="form-control" id="date1" placeholder="" name="date" autocomplete="off">
							</div>
					</div>
            	</div><!-- /.box-body -->
				<div class="box-footer">
					<button type="submit" class="btn btn-info pull-right" name="form1">SUBMIT</button>
				</div><!-- /.box-footer -->           
			</form>
		</div><!-- /.box -->
	</div>


	<div class="row">
		<div class="col-xs-12">
			<div class="box">
				<div class="box-header">	
					<h3 class="box-title">View HSN Code </h3>
				</div><!-- /.box-header -->

				<div class="box-body">	
					<div class="table-responsive">  	
					  	<table id="example2" class="table table-bordered table-hover">	
							<thead>	
						  		<tr>	
									<th width="3%" style="text-align:center;">No.</th>									
									<th>HSN Code</th>									
									<th>HSN Name</th>									
									<th>IGST</th>
									<th>Date</th>
									<th colspan="2" width="15%">Action</th>									
						  		</tr>	
							</thead>	
							
							<tbody>	
			  				<?php	
								$i=0;								
								$statement = $db->prepare("SELECT * FROM gst_hsn_code ORDER BY id DESC");
								$statement->execute();								
								$result = $statement->fetchAll(PDO::FETCH_ASSOC);
								foreach($result as $row)								
								{	
			  					$i++;	
			  				?>
								<tr>
									<td style="text-align:center;"><?php echo $i ; ?></td>									
									<td><?php echo $row['hsn_code']; ?></td>									
									<td><?php echo $row['hsn_name']; ?></td>									
									<td><?php echo $row['igst']; ?></td>									
									<td><?php if($row['date']!=""){ echo date("d-m-Y", strtotime($row['date'])); } ?></td>	
					  				<td><button class="btn btn-xs btn-primary" data-toggle="modal" data-target="#editModal<?php echo $i ; ?>">Edit</button></td>
						 	 		<!--product edit modal -->
	
									<div class="modal fade" id="editModal<?php echo $i; ?>" tabindex="-1" role="dialog" aria-labelledby="Login" aria-hidden="true">									
										<script>
											$("#date2").datepicker({ dateFormat: 'dd-mm-yy'});
										</script>
									  	<div class="modal-dialog">									
										  	<div class="modal-content">									
											  	<div class="modal-header">									
												  	<button type="button" class="close" data-dismiss="modal" aria-label="Close">									
													<span aria-hidden="true">&times;</span>									
												</button>									
												<h5 class="modal-title">Update Infromation</h5>									
											</div>							
																		
											<div class="modal-body">									
												<!-- The form is placed inside the body of modal -->      									
												<div class="box-header with-border">									
											  		<h3 class="box-title">Edit HSN Code </h3>									
												</div><!-- /.box-header -->		
												<!-- form start -->									
												<form class="form-horizontal" action="" method="post" enctype="multipart/form-data">									
													<input type="hidden" name="cid" value="<?php echo $row['id']; ?>" />
														<div class="box-body">									
															<div class="form-group">									
												  				<label for="inputEmail3" class="col-sm-4 control-label">HSN Code</label>									
												  				<div class="col-sm-6">									
																	<input type="text" class="form-control" id="inputEmail3" value="<?php echo $row['hsn_code']; ?>" name="hsn_code" autocomplete="off">
															  	</div>									
															</div>									
												<br />
									
									
									
												<div class="form-group">									
												  <label for="inputEmail3" class="col-sm-4 control-label">HSN Name</label>
												  <div class="col-sm-6">									
													<input type="text" class="form-control" id="inputEmail3" value="<?php echo $row['hsn_name']; ?>" name="hsn_name" autocomplete="off">									
												  </div>									
												</div>
									
												 <br />
									
												<div class="form-group">									
												  <label for="inputEmail3" class="col-sm-4 control-label">IGST</label>
												  <div class="col-sm-6">									
													<input type="text" class="form-control" id="inputEmail3" value="<?php echo $row['igst']; ?>" name="igst" autocomplete="off">									
												  </div>									
												</div>
												
												 <br />
												 
												<div class="form-group">									
												  <label for="inputEmail3" class="col-sm-4 control-label">Date</label>
												  <div class="col-sm-6">									
													<input type="text" class="form-control" id="date2" value="<?php if($row['date']!=""){ echo date("d-m-Y", strtotime($row['date'])); } ?>" name="date" autocomplete="off">									
												  </div>									
												</div>																
											  </div><!-- /.box-body -->									
											  <div class="box-footer">									
												<button type="submit" class="btn btn-info pull-right" name="form_edit_hsn">UPDATE</button>
										      </div><!-- /.box-footer -->									
											</form>	
											  </div>									
										  </div>									
									  </div>									
									</div>
						  				<!--Product edit modal end -->	
								  <td>	
									  <form method="POST" action="" accept-charset="UTF-8" style="display:inline">	
										<input type="hidden" name="del_id" value="<?php echo $row['id']; ?>" />	
										<button class="btn btn-xs btn-danger" type="button" data-toggle="modal" data-target="#confirmDelete" data-title="Delete HSN Code" data-message="Are you sure you want to delete ?">  Delete</button>	
									  </form>	
								  </td>     	
							  </tr>              	
						  <?php	
							}	
						  ?>               
	
								</tbody> 
							</table>
						</div><!-- /.box-body -->
					</div>
				</div><!-- /.box -->
			</div>
		</div>
  	</section><!-- /.content -->
</div><!-- /.content-wrapper -->
<script>
	$("#date1").datepicker({ dateFormat: 'dd-mm-yy'});
	
</script>
<?php include ("../include/footer.php"); ?>